require 'newt'
include Newt

init
cls

b1 = Checkbox.new(-1, -1, "An pretty long checkbox for testing", ' ')
b2 = Button.new(-1, -1, "Another Button")
b3 = Button.new(-1, -1, "But, but")
b4 = Button.new(-1, -1, "But what?")

f = Form.new(nil, nil, 0)

grid = Grid.new(2, 2)
grid.SetField(0, 0, GRID_COMPONENT, b1, 0, 0, 0, 0, ANCHOR_RIGHT, 0)
grid.SetField(0, 1, GRID_COMPONENT, b2, 0, 0, 0, 0, 0, 0)
grid.SetField(1, 0, GRID_COMPONENT, b3, 0, 0, 0, 0, 0, 0)
grid.SetField(1, 1, GRID_COMPONENT, b4, 0, 0, 0, 0, 0, 0)


f.AddComponents(b1, b2, b3, b4)

grid.WrappedWindow("first window")
grid.Free(1)

f.Run()
	
f.Destroy()
popWindow()

flowedText = reflowText("This is a quite a bit of text. It is 40 " +
			"columns long, so some wrapping should be " +
			"done. Did you know that the quick, brown " +
			"fox jumped over the lazy dog?\n\n" +
			"In other news, it's pretty important that we " +
			"can properly force a line break.",
			40, 5, 5)
t = Textbox.new(-1, -1, flowedText[1], flowedText[2], FLAG_WRAP)
t.SetText(flowedText[0])
    
b1 = Button.new(-1, -1, "Okay")
b2 = Button.new(-1, -1, "Cancel")

grid = Grid.new(1, 2)
subgrid = Grid.new(2, 1)

subgrid.SetField(0, 0, GRID_COMPONENT, b1, 0, 0, 0, 0, 0, 0)
subgrid.SetField(1, 0, GRID_COMPONENT, b2, 0, 0, 0, 0, 0, 0)

grid.SetField(0, 0, GRID_COMPONENT, t, 0, 0, 0, 1, 0, 0)
grid.SetField(0, 1, GRID_SUBGRID, subgrid, 0, 0, 0, 0, 0, GRID_FLAG_GROWX)
grid.WrappedWindow("another example")
grid.Free(1)

f = Form.new(nil, nil, 0)
f.AddComponents(b1, t, b2)
f.Run

popWindow
f.Destroy

winMessage("Simple", "Ok", "This is a simple message window")
winChoice("Simple", "Ok", "Cancel", "This is a simple choice window")

menuContents = ["One", "Two", "Three", "Four", "Five"] 
rc = winMenu ("Test Menu",
              "This is a sample invovation of the " +
	      "newtWinMenu() call. It may or may not have a scrollbar, " +
	      "depending on the need for one.", 50, 5, 5, 3,
	      menuContents, "Ok", "Cancel")
autoEntries = [
  ["Normal entry", 0],
  ["Scroll entry", FLAG_SCROLL],
  ["Password entry", FLAG_PASSWORD],
  ["Scroll & Password entry", FLAG_SCROLL | FLAG_PASSWORD]
]

rc1 = winEntries("Text newtWinEntries()",
                 "This is a sample invovation of " +
		 "newtWinEntries() call. It lets you get a lot of input " +
		 "quite easily.", 50, 5, 5, 20,
		 autoEntries,
		 "Ok", "Cancel")

finished
p rc
p rc1
